# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "naranya_ecm-sdk/version"

Gem::Specification.new do |spec|
  spec.name          = "naranya_ecm-sdk"
  spec.version       = NaranyaEcm::VERSION
  spec.authors       = ["Roberto Quintanilla"]
  spec.email         = ["roberto.quintanilla@naranya.com"]

  spec.summary       = %q{Cliente Ruby de NaranyaEcm}
  spec.description   = %q{Cliente Ruby de NaranyaEcm para aplicaciones cliente.}
  spec.homepage      = "http://naranya.com"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.bindir        = "exe"
  spec.require_paths = ["lib"]

  spec.add_dependency "activesupport",  "~> 4.0",   ">= 4.0.5"
  spec.add_dependency "activemodel",    "~> 4.0",   ">= 4.0.5"

  spec.add_dependency "oauth2",         "~> 1.0"
  # which uses Faraday as it's client... we get to choose which HTTP driver to use!

  spec.add_dependency "aasm",           "~> 4.1"
  spec.add_dependency "fog-aws",        "~> 0.3"

  spec.add_development_dependency "bundler",      "~> 1.6"
  spec.add_development_dependency "rake",         "~> 10.3"
  spec.add_development_dependency "factory_girl", "~> 4.5"
  spec.add_development_dependency "rspec",        "~> 3.2"
  spec.add_development_dependency "sinatra",      "~> 1.4"
  spec.add_development_dependency "bson",         "~> 3.0"

  spec.add_development_dependency "webmock",      "~> 1.18"
end
